Skip to main content
GET
Get merchant details

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The ID of the merchant

Response

Success response

id
string<uuid>
required

The ID of the merchant

Example:

"5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d"

created_at
string<date-time>
required

The date-time the merchant was created (following ISO 8601)

Example:

"2025-01-15T09:00:00Z"

company_city
string
required

The city in the merchant's primary address.

Example:

"Milford"

country_code
string
required

A two letter country code. ISO 3166-1 alpha-2

Example:

"US"

encryption_key
string
required

The masked version of the key used to encrypt authentication data (for instance network token and cryptogram). A full copy of this information is returned only once, when the merchant was initially created.

Example:

"eyJhbGciO[redacted]"

The name of the merchant

Example:

"Example Store Inc."

website_url
string<uri>
required

The URL of the merchant's website

Example:

"https://www.example-store.com"

type
enum<string>
required

The merchant type

Available options:
primary,
submerchant
identity_and_verification_enabled
boolean

The flag indicates if the 3DS identity and verification is required or not (only allowed for primary)

Example:

true

3ds_enabled
boolean

Indicates if 3DS is available or not for the Merchant

Example:

true

default_currency
string

The three letter currency code. See: ISO-4217

Example:

"EUR"

default_merchant_id
string

The id for the Merchant

Example:

"EXAMPLE_STORE_EU"

schemes
object[]

The schemes supported by the merchant (required if merchant has a merchant_id)